## orpie 1.4.3

=== doc/Makefile ===
# Orpie documentation makefile
all:	manual.pdf manual.html post-build-cleanup orpie.1 orpierc.5 orpie-curses-keys.1

manual.ps: dvi
	dvips -tletterSize -Ppdf -G0 manual.dvi

dvi: manual.tex
	latex manual.tex
	latex manual.tex

manual.tex: manual.tex.in
	latex2man -CLATEX -L manual.tex.in manual.tex

manual.pdf: manual.ps
	ps2pdf13 manual.ps

manual.html: manual.tex
	hevea manual.tex

manual.tex.stripped: manual.tex.in
	python remove-tt.py manual.tex.in manual.tex.stripped

orpie.1: manual.tex.stripped
	latex2man -M manual.tex.stripped orpie.1

orpierc.5: manual.tex.stripped
	latex2man -CORPIERC -M manual.tex.stripped orpierc.5

orpie-curses-keys.1: orpie-curses-keys.tex
	latex2man -M orpie-curses-keys.tex orpie-curses-keys.1

post-build-cleanup: manual.pdf manual.html orpie.1 orpierc.5 orpie-curses-keys.1
	rm -f *.aux *.log *.dvi *.ps *.stripped manual.tex

clean:
	rm -f manual.tex *.aux *.log *.dvi *.ps *.pdf *.html *.stripped orpie.1 orpierc.5 orpie-curses-keys.1


# arch-tag: DO_NOT_CHANGE_a5d62ea3-3a73-4de2-a2b3-a70bb310823f

=== units/Makefile ===
all: units.cmo constants.cmo

test: test.ml units.cmx
	ocamlopt -o test str.cmxa units.cmx test.ml

units.cmo: units.ml
	ocamlc -c units.ml

units.cmx: units.ml
	ocamlopt -c units.ml

constants.cmo: constants.ml
	ocamlc -c constants.ml

constants.cmx: constants.ml
	ocamlopt -c constants.ml

clean:
	rm -f *.cmo *.cmi *.mli test




# arch-tag: DO_NOT_CHANGE_0bfec0da-df85-45c5-8615-10d4efc283c6

## orpie 1.5.2

=== units/Makefile ===
all: units.cmo

test: test.ml units.cmx
	ocamlopt -o test str.cmxa units.cmx test.ml

units.cmo: units.ml
	ocamlc -c units.ml

units.cmx: units.ml
	ocamlopt -c units.ml

clean:
	rm -f *.cmo *.cmi *.mli test




# arch-tag: DO_NOT_CHANGE_0bfec0da-df85-45c5-8615-10d4efc283c6

=== debian/changelog ===
orpie (1.5.2-2) unstable; urgency=medium

  * Make it compile with ocaml 4.05.0 (Closes: #868849)

 -- Uwe Steinmann <steinm@debian.org>  Wed, 27 Sep 2017 07:39:11 +0200

orpie (1.5.2-1) unstable; urgency=medium

  * New upstream release
  * rebuild because of new dependency on libgsl-dev >= 2.0 (Closes: #804497)
  * put diffs into patches and use new source format 3.0 (quilt)
  * fix various lintian warnings
  * Keep armel in architectures as orpie does not depend on ocamlgsl anymore
    (Closes: #623776)
  * add powerpcspe to architectures (Closes: #731675)
  * add arm64 to architectures (Closes: #791955)

 -- Uwe Steinmann <steinm@debian.org>  Wed, 25 Nov 2015 13:42:23 +0100

orpie (1.5.1-10) unstable; urgency=low

  * do not depend on ocaml anymore (Closes: #644878)

 -- Uwe Steinmann <steinm@debian.org>  Mon, 10 Oct 2011 17:08:48 +0200

orpie (1.5.1-9) unstable; urgency=low

  * Added armhf to architecture list (Closes: #604536)

 -- Uwe Steinmann <steinm@debian.org>  Mon, 19 Nov 2010 19:06:08 +0100

orpie (1.5.1-8) unstable; urgency=low

  * Added sh4 to architecture list (Closes: #581679)

 -- Uwe Steinmann <steinm@debian.org>  Mon, 17 May 2010 9:01:49 +0200

orpie (1.5.1-7.1) unstable; urgency=high

  [ Richard Darst ]
  * Non-maintainer upload.
  * Link against system-wide libocamlgsl-ocaml:
     - Add libocamlgsl-ocaml-dev to Build-Depends and tweak Makefile.in
     - Also regenerate the depend file included in the distribution, to
       building avoid compile of private GSL files. Since depend was
       statically included in the distribution, I left it statically
       included instead of dynamically regenerating.
     - This fixes the FTBFS due to undefined references during linking
       (Closes: #527732).
     - This obviously also fixes the use of embedded code copy reported by
       Stéphane Glondu (Closes: #550058).

  [ Cyril Brulebois ]
  * Slightly reword the changelog to describe exactly what's going on.
  * Set urgency to “high” as it also affects testing.
  * Many thanks to Richard for the hard work!

 -- Cyril Brulebois <kibi@debian.org>  Mon, 07 Dec 2009 04:10:35 +0100

orpie (1.5.1-7) unstable; urgency=low

  * Added hurd-i386 to architecture list (Closes: #482903)

 -- Uwe Steinmann <steinm@debian.org>  Sun, 25 May 2008 21:54:56 +0200

orpie (1.5.1-6) unstable; urgency=low

  * Updated watch file to new download page
  * Updated copyright file to new download page
  * fixed lintian errors

 -- Uwe Steinmann <steinm@debian.org>  Sun, 30 Mar 2008 21:32:27 +0200

orpie (1.5.1-5) unstable; urgency=low

  * Added kfreebsd-amd64 to architecture list (Closes: #462722)

 -- Uwe Steinmann <steinm@debian.org>  Sat, 26 Jan 2008 11:17:47 +0100

orpie (1.5.1-4) unstable; urgency=low

  * Added armel to architecture list (Closes: #462619)
  * fixed lintian warning about extra white space in orpie.doc-base

 -- Uwe Steinmann <steinm@debian.org>  Sat, 26 Jan 2008 11:17:47 +0100

orpie (1.5.1-3) unstable; urgency=low

  * Do not build for hppa and sparc because the gsl bindings
    fail to compile (Closes: #444494)

 -- Uwe Steinmann <steinm@debian.org>  Tue, 27 Nov 2007 15:47:25 +0100

orpie (1.5.1-2) unstable; urgency=low

  * Build-Depend on ocaml-nox (>= 3.10.0), camlp4 (>= 3.10.0)
    (Closes: #442233)

 -- Uwe Steinmann <steinm@debian.org>  Fri, 14 Sep 2007 17:42:31 +0200

orpie (1.5.1-1) unstable; urgency=low

  * New upstream release
    fixed compile error (Closes: #441680)
    fixed inaccurate calculation of power (Closes: #401005)
    fixed crash when typing '1' '_' <insert (Closes: #416832)
    automatically convert to integer before calling mod(), gcd(), or
    lcm() (Closes: #391078)
  * fixed various lintian errors
  * Updated compat level to 5 and Standards-Version to 3.7.2

 -- Uwe Steinmann <steinm@debian.org>  Fri, 14 Sep 2007 09:07:14 +0200

orpie (1.4.3-1) unstable; urgency=low

  * New upstream release
  * uconvert doesn't make orpie crash anymore (Closes: #335552)

 -- Uwe Steinmann <steinm@debian.org>  Wed,  2 Nov 2005 11:15:47 +0100

orpie (1.4.1-3) unstable; urgency=low

  * It's enough to depend on ocaml-nox, no need for ocaml

 -- Uwe Steinmann <steinm@debian.org>  Tue, 11 Oct 2005 10:50:40 +0200

orpie (1.4.1-2) unstable; urgency=low

  * Set configuration option 'editor' in orpierc to
    'sensible-editor' (was 'vi') (Closes: #312266)

 -- Uwe Steinmann <steinm@debian.org>  Tue, 07 Jun 2005 07:26:40 +0200

orpie (1.4.1-1) unstable; urgency=low

  * New upstream release
  * Updated package description (Closes: #266904)

 -- Uwe Steinmann <steinm@debian.org>  Mon, 20 Sep 2004 14:18:45 +0200

orpie (1.3.1-1) unstable; urgency=low

  * New upstream release
  * Needs at least ocaml 3.08
  * fixed email of maintainer

 -- Uwe Steinmann <steinm@debian.org>  Fri, 23 Jul 2004 08:48:08 +0200

orpie (1.3.0-2) unstable; urgency=low

  * fixed dependencies

 -- Uwe Steinmann <uwe@steinmann.cx>  Thu, 22 Jul 2004 10:32:34 +0200

orpie (1.3.0-1) unstable; urgency=low

  * New upstream release
  * Needs at least ocaml 3.07

 -- Uwe Steinmann <uwe@steinmann.cx>  Mon, 19 Jul 2004 10:26:49 +0200

orpie (1.2.0-1) unstable; urgency=low

  * New upstream release
  * Being more precise in the watch file
  * Fixed email of maintainer in changelog

 -- Uwe Steinmann <steinm@debian.org>  Thu, 17 Jun 2004 07:40:23 +0200

orpie (1.1.1-1) unstable; urgency=low

  * New upstream release

 -- Uwe Steinmann <uwe@steinmann.cx>  Mon, 19 Apr 2004 09:54:07 +0200

orpie (1.0.2-1) unstable; urgency=low

  * New upstream release

 -- Uwe Steinmann <uwe@steinmann.cx>  Thu,  8 Apr 2004 09:54:13 +0200

orpie (1.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Uwe Steinmann <steinm@debian.org>  Wed, 7 Apr 2004 11:35:34 +0100

orpie (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Uwe Steinmann <steinm@debian.org>  Thu, 1 Apr 2004 17:04:32 +0100

=== debian/control ===
Source: orpie
Section: math
Priority: optional
Maintainer: Uwe Steinmann <steinm@debian.org>
Build-Depends: ocaml-nox (>= 3.10.0), camlp4 (>= 3.10.0), libgsl-dev (>= 2.0), debhelper (>> 3.0.0)
Standards-Version: 3.7.2

Package: orpie
Architecture: i386 arm arm64 ia64 s390 alpha powerpc powerpcspe m68k mips mipsel amd64 kfreebsd-i386 kfreebsd-amd64 armel armhf hurd-i386 sh4
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: RPN calculator for the terminal
 Orpie is a fullscreen RPN calculator for the console. Its operation is
 similar to that of modern HP calculators, but data entry has been optimized
 for efficiency on a PC keyboard. Features include:
 .
   * real and complex numbers and matrices
   * extensive function library
   * command completion of function names
   * base conversions
   * units and conversion factor handling
   * exact integer arithmetic, with unlimited integer size
   * visible stack, with browsing/modification capability
   * user-defined variables
   * user-configurable keybindings, via a Mutt-like rcfile
   * context-sensitive help

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	./configure --prefix=/usr --mandir=\$${prefix}/share/man --sysconfdir=/etc

	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/orpie.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/orpie


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## orpie 1.6.0

=== debian/changelog ===
orpie (1.6.0-3) unstable; urgency=medium

  * Add missing build depend on libfindlib-ocaml-dev, libocamlgsl-ocaml-dev, libnum-ocaml-dev

 -- Uwe Steinmann <steinm@debian.org>  Mon, 25 Nov 2019 21:07:36 +0100

orpie (1.6.0-2) unstable; urgency=medium

  * Add missing build depend on opam
  * Simplyfied patch to change sysconf dir

 -- Uwe Steinmann <steinm@debian.org>  Mon, 25 Nov 2019 19:27:55 +0100

orpie (1.6.0-1) unstable; urgency=medium

  * New upstream release (Closes: #920987)
  * orpie does not ship wit ocamlgsl anymore (Closes: #842381)
  * Finally builds on all supported architectures (Closes: #877007)
  * Build on all architectures
  * All patches except the man page patch are obsolete now

 -- Uwe Steinmann <steinm@debian.org>  Mon, 25 Nov 2019 13:36:25 +0100

orpie (1.5.2-5) unstable; urgency=medium

  * Fix building on ia64, alpha

 -- Uwe Steinmann <steinm@debian.org>  Mon, 25 Nov 2019 13:25:54 +0100

orpie (1.5.2-4) unstable; urgency=medium

  * Fix incorrect NAME section in man pages (Closes: #463024)
  * Add ppc64 and ppc64el to architecture list (Closes: #942034)
  * Add Homepage in control file
  * add more -unsafe-string in order to fix build errors, e.g. on armel

 -- Uwe Steinmann <steinm@debian.org>  Thu, 07 Nov 2019 12:15:31 +0100

orpie (1.5.2-3) unstable; urgency=medium

  * Build depend on libnum-ocaml-dev (Closes: #939963)
  * add -unsafe-string to Makefile.in
  * set propper doc-base section
  * Bump standards-version
  * Use debhelper 9 compat

 -- Uwe Steinmann <steinm@debian.org>  Wed, 06 Nov 2019 14:44:43 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,14 @@
 Section: math
 Priority: optional
 Maintainer: Uwe Steinmann <steinm@debian.org>
-Build-Depends: ocaml-nox (>= 3.10.0), camlp4 (>= 3.10.0), libgsl-dev (>= 2.0), debhelper (>> 3.0.0)
-Standards-Version: 3.7.2
+Build-Depends: ocaml-nox (>= 4.03.0), camlp5, dune, opam, libfindlib-ocaml-dev, libocamlgsl-ocaml-dev, libnum-ocaml-dev, libcurses-ocaml-dev, debhelper (>> 3.0.0)
+Standards-Version: 4.4.1
+Homepage: https://github.com/pelzlpj/orpie
 
 Package: orpie
-Architecture: i386 arm arm64 ia64 s390 alpha powerpc powerpcspe m68k mips mipsel amd64 kfreebsd-i386 kfreebsd-amd64 armel armhf hurd-i386 sh4
+Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: sensible-utils
 Description: RPN calculator for the terminal
  Orpie is a fullscreen RPN calculator for the console. Its operation is
  similar to that of modern HP calculators, but data entry has been optimized

## orpie 1.6.1

=== Makefile ===

_build/install/default/bin/orpie:
	dune build

_build/install/default/bin/orpie-curses-keys:
	dune build

install: _build/install/default/bin/orpie _build/install/default/bin/orpie-curses-keys
	ORPIE_PREFIX=`scripts/compute_prefix eval` && \
	mkdir -p "$(DESTDIR)/$$ORPIE_PREFIX" && \
	dune install --prefix="$(DESTDIR)/$$ORPIE_PREFIX"

clean:
	dune clean

.PHONY: install clean

=== debian/changelog ===
orpie (1.6.1-1build1) jammy; urgency=medium

  * No-change rebuild against libgsl27

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 17:39:39 +0000

orpie (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Upstream has removed -unsafe-string option (Closes: #973185)

 -- Uwe Steinmann <steinm@debian.org>  Wed, 25 Nov 2020 07:45:04 +0100

orpie (1.6.0-4) unstable; urgency=medium

  * build depend on ocaml-dune instead of dune (Closes: #971353)
  * update compat level to 10

 -- Uwe Steinmann <steinm@debian.org>  Tue, 29 Sep 2020 11:43:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: orpie
 Section: math
 Priority: optional
-Maintainer: Uwe Steinmann <steinm@debian.org>
-Build-Depends: ocaml-nox (>= 4.03.0), camlp5, dune, opam, libfindlib-ocaml-dev, libocamlgsl-ocaml-dev, libnum-ocaml-dev, libcurses-ocaml-dev, debhelper (>> 3.0.0)
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Uwe Steinmann <steinm@debian.org>
+Build-Depends: ocaml-nox (>= 4.03.0), camlp5, ocaml-dune, opam, libfindlib-ocaml-dev, libocamlgsl-ocaml-dev, libnum-ocaml-dev, libcurses-ocaml-dev, debhelper (>> 3.0.0)
 Standards-Version: 4.4.1
 Homepage: https://github.com/pelzlpj/orpie

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=/usr
export DESTDIR=$(CURDIR)/debian/orpie

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/orpie/usr/man $(CURDIR)/debian/orpie/usr/share/man
	mv $(CURDIR)/debian/orpie/usr/doc/$(PACKAGE) $(CURDIR)/debian/orpie/usr/share/doc/$(PACKAGE)
	mkdir -p $(CURDIR)/debian/orpie/etc/ && mv $(CURDIR)/debian/orpie/usr/etc/orpie/orpierc $(CURDIR)/debian/orpie/etc/ && rm -rf $(CURDIR)/debian/orpie/usr/etc
